Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchAnalysis extends MatchApproximation
  Definition Classes
    patmat
-  trait MatchAnalyzer extends MatchApproximator
  Definition Classes
    MatchAnalysis
- AbsCodegen
- AbsVar
- AlternativesTreeMaker
- AnalysisBudget
- And
- AtMostOne
- BodyTreeMaker
- Casegen
- CommonCodegen
- CondTreeMaker
- Const
- ConstructorExample
- CounterExample
- EmptySubstitution
- Eq
- EqualityTestTreeMaker
- ExtractorTreeMaker
- False
- FunTreeMaker
- GuardTreeMaker
- IrrefutableExtractorTreeMaker
- ListExample
- NegativeExample
- NoExample
- NoNewBinders
- NonNullTestTreeMaker
- Not
- NullConst
- Or
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- SubstOnlyTreeMaker
- Substitution
- Sym
- Test
- TreeMaker
- TreeMakersToProps
- TreeMakersToPropsIgnoreNullChecks
- TrivialTreeMaker
- True
- TupleExample
- TypeConst
- TypeConstExtractor
- TypeExample
- TypeTestTreeMaker
- ValueConst
- ValueConstExtractor
- ValueExample
- Var
- VarExtractor
- WildcardExample

o

scala.tools.nsc.transform.patmat.MatchAnalysis.MatchAnalyzer

# CounterExample

###
Companion class CounterExample

#### object CounterExample

Source
  MatchAnalysis.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CounterExample
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def prune(examples: List[CounterExample]): List[CounterExample]
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped